/* ----------main-loader---------- */
/*Loader  custum*/

.loader {
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.8);
  position: fixed;
  top: 0px;
  left: 0px;
  z-index: 100000;
  cursor: wait; }
  .loader.loader--inner {
    position: absolute; }

.loader .inner {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center; }

.loader svg {
  width: 30%;
  height: auto;
  fill: #fb0040;
  transition: all 0.8s; }

.loaderQuickView {
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.8);
  position: fixed;
  top: 0px;
  left: 0px;
  z-index: 100000;
  cursor: wait; }
  .loaderQuickView.loader--inner {
    position: absolute; }

.loaderQuickView .inner {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center; }

.loaderQuickView svg {
  width: 30%;
  height: auto;
  fill: #fb0040;
  transition: all 0.8s;
  /*end loader custum*/ }

.loader-btn {
  position: absolute;
  display: flex;
  align-items: center;
  fill: #fff;
  /* --------------end main-loader------------------ */ }

.sk-wave {
  display: none;
  position: absolute;
  top: calc(50% - 1rem);
  left: calc(50% - 39px);
  width: 6em;
  height: 4em;
  margin: auto;
  text-align: center;
  font-size: 0.6em; }

.sk-wave .sk-rect {
  background-color: #fb0040;
  height: 100%;
  width: 0.5em;
  display: inline-block;
  -webkit-animation: sk-wave-stretch-delay 1.2s infinite ease-in-out;
  animation: sk-wave-stretch-delay 1.2s infinite ease-in-out; }

.sk-wave .sk-rect-1 {
  -webkit-animation-delay: -1.2s;
  animation-delay: -1.2s; }

.sk-wave .sk-rect-2 {
  -webkit-animation-delay: -1.1s;
  animation-delay: -1.1s; }

.sk-wave .sk-rect-3 {
  -webkit-animation-delay: -1s;
  animation-delay: -1s; }

.sk-wave .sk-rect-4 {
  -webkit-animation-delay: -0.9s;
  animation-delay: -0.9s; }

.sk-wave .sk-rect-5 {
  -webkit-animation-delay: -0.8s;
  animation-delay: -0.8s; }

@-webkit-keyframes sk-wave-stretch-delay {
  0%, 40%, 100% {
    -webkit-transform: scaleY(0.4);
    transform: scaleY(0.4); }

  20% {
    -webkit-transform: scaleY(1);
    transform: scaleY(1); } }

@keyframes sk-wave-stretch-delay {
  /*not loader compare*/
  /*end not loader compare*/
  /*loader lazy start*/
  0%, 40%, 100% {
    -webkit-transform: scaleY(0.4);
    transform: scaleY(0.4); }

  20% {
    -webkit-transform: scaleY(1);
    transform: scaleY(1); } }

.loader-lazy {
  position: absolute;
  display: block;
  left: calc(50% - 38px);
  top: calc(50% - 38px);
  width: 76px !important;
  height: 76px !important;
  border-top-color: #fb0040;
  z-index: 50;
  background-image: url(/images/hearts.svg);
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  /*loader lazy end*/ }
  .loader-lazy.loader-lazy--big {
    left: calc(50% - 60px);
    top: calc(50% - 60px);
    width: 120px !important;
    height: 120px !important; }
  .loader-lazy.loader-lazy--small {
    left: calc(50% - 33px);
    top: calc(50% - 33px);
    width: 46px !important;
    height: 46px !important; }
